From e4fa873f5f034341b400091cd04132990fbd6738 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 08 2020 22:04:56 +0000
Subject: [PATCH 866/2232] Allow rust::Error to be caught as std::exception&


---

diff --git a/include/cxx.h b/include/cxx.h
index 3744185..3995924 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -242,7 +242,7 @@ using TryFn = Fn<Signature, true>;
 
 #ifndef CXXBRIDGE04_RUST_ERROR
 #define CXXBRIDGE04_RUST_ERROR
-class Error final : std::exception {
+class Error final : public std::exception {
 public:
   Error(const Error &);
   Error(Error &&) noexcept;

